PRLIMIT(1)

NOM
prlimit - Obtenir et définir les limites de ressource

SYNOPSIS

prlimit [options] [--resource[=limits]] [--pid PID]

prlimit [options] [--resource[=limits]] command [argument...]

DESCRIPTION

À partir d’un identifiant de processus et d’au moins une ressource, prlimit essaie de récupérer ou de modifier les limites.

Si la commande est fournie, prlimit exécutera cette commande avec les arguments fournis.

Le paramètre limites est composé d’une valeur molle et d’une dure, séparées par un deux-points (:), de façon à modifier les valeurs existantes. En absence de limites, prlimit affichera les valeurs actuelles. Si une des valeurs n’est pas donnée, alors l’existante sera utilisée. Pour indiquer les limites « illimité » ou « infini » (RLIM_INFINITY), les chaînes -1 ou unlimited peuvent être passées.

Because of the nature of limits, the soft limit must be lower or equal to the high limit (also called the ceiling). To see all available resource limits, refer to the RESOURCE OPTIONS section.

    • molle:_dure_ Indiquer les deux limites.

    • molle: N’indiquer que la limite molle.

    • :dure N’indiquer que la limite dure.

    • valeur Indiquer les deux limites à la même valeur.

OPTIONS GÉNÉRALES

--noheadings
    Ne pas imprimer de ligne d’en-tête.

-o, --output liste
    Définir les colonnes à afficher. Si aucune disposition de sortie n’est indiquée, un ensemble par défaut est utilisé. Utilisez --help pour obtenir une liste de toutes les colonnes gérées.

-p, --pid
    Indiquer l’identifiant de processus ; si aucun n’est donné, le processus en cours d’exécution sera utilisé.

--raw
    Utiliser l’affichage au format brut.

--verbose
    Mode détaillé.

-h, --help
    Afficher l’aide-mémoire puis quitter.

-V, --version
    Afficher le numéro de version et quitter.

OPTIONS DE RESSOURCE

-c, --core[=limites]
    Taille maximale d’un fichier « core ».

-d, --data[=limites]
    Taille maximale des données.

-e, --nice[=limites]
    Priorité « nice » maximale permise.

-f, --fsize[=limites]
    Taille maximale de fichier.

-i, --sigpending[=limites]
    Nombre maximal de signaux en attente.

-l, --memlock[=limites]
    Espace d’adressage maximal verrouillé en mémoire.

-m, --rss[=limites]
    Taille de mémoire résidente (RSS) maximale.

-n, --nofile[=limites]
    Nombre maximal de fichiers ouverts.

-q, --msgqueue[=limites]
    Nombre maximal d’octets dans les files de messages POSIX.

-r, --rtprio[=limites]
    Priorité temps réel maximale.

-s, --stack[=limites]
    Taille maximale de la pile.

-t, --cpu[=limites]
    Temps processeur, en seconde.

-u, --nproc[=limites]
    Nombre maximal de processus.

-v, --as[=limites]
    Limite d’espace d’adressage.

-x, --locks[=limites]
    Nombre maximal de verrous de fichier maintenus.

-y, --rttime[=limites]
    Délai d’expiration pour les tâches temps réel.

NOTES

The prlimit(2) system call is supported since Linux 2.6.36, older kernels will break this program.

EXEMPLES

prlimit --pid 13134
    Afficher les valeurs limites de toutes les ressources actuelles.

prlimit --pid 13134 --rss --nofile=1024:4095
    Afficher les limites de la RSS et définir les limites molle et dure pour le nombre de fichiers ouverts respectivement à 1024 et 4095.

prlimit --pid 13134 --nproc=512:
    Ne modifier que la limite molle pour le nombre de processus.

prlimit --pid $$ --nproc=unlimited
    Définir, pour le processus actuel, à la fois les valeurs molle et plafond du nombre de processus à illimité.

prlimit --cpu=10 sort -u hugefile
    Set both the soft and hard CPU time limit to ten seconds and run sort(1).

AUTEURS

– en mémoire à Dennis M. Ritchie.

VOIR AUSSI

ulimit(1p), prlimit(2)

SIGNALER DES BOGUES

Pour signaler un bogue, utilisez le gestionnaire de bogues sur

DISPONIBILITÉ

La commande prlimit fait partie du paquet util-linux, elle est disponible sur